------------------------------------------------------------------------------------
--Name:  	yundonghui2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(174, 208)
local Player_1 = CppScriptMgr:AddSimplePlayer(1063770, 172, 197, "Jack", 0, 0)
Player_1:SetDir(0)
local Player_2 = CppScriptMgr:AddSimplePlayer(1057490, 170, 202, "MatchAssistant", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(1054930, 177, 202, "MatchAssistant", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1063784, 170, 208, "", 0, 0)
Player_4:SetDir(4)
local Player_5 = CppScriptMgr:AddSimplePlayer(1063784, 172, 208, "", 0, 0)
Player_5:SetDir(4)
local Player_6 = CppScriptMgr:AddSimplePlayer(1063784, 174, 208, "", 0, 0)
Player_6:SetDir(4)
local Player_7 = CppScriptMgr:AddSimplePlayer(1063784, 176, 208, "", 0, 0)
Player_7:SetDir(4)
local Player_8 = CppScriptMgr:AddSimplePlayer(1063784, 178, 208, "", 0, 0)
Player_8:SetDir(4)
local Player_9 = CppScriptMgr:AddSimplePlayer(1063784, 180, 208, "", 0, 0)
Player_9:SetDir(4)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061284, 170, 211, "", 0, 0)
npc_0:SetDir(4)
local npc_1 = CppScriptMgr:AddSimplePlayer(1061284, 172, 211, "", 0, 0)
npc_1:SetDir(4)
local npc_2 = CppScriptMgr:AddSimplePlayer(1061280, 174, 211, "", 0, 0)
npc_2:SetDir(4)
local npc_3 = CppScriptMgr:AddSimplePlayer(1061284, 176, 211, "", 0, 0)
npc_3:SetDir(4)
local npc_4 = CppScriptMgr:AddSimplePlayer(1061284, 178, 211, "", 0, 0)
npc_4:SetDir(4)
local npc_5 = CppScriptMgr:AddSimplePlayer(1061284, 180, 211, "", 0, 0)
npc_5:SetDir(4)
local npc_6 = CppScriptMgr:AddSimplePlayer(1051094, 170, 214, "", 0, 0)
npc_6:SetDir(4)
local npc_7 = CppScriptMgr:AddSimplePlayer(1051094, 172, 214, "", 0, 0)
npc_7:SetDir(4)
local npc_8 = CppScriptMgr:AddSimplePlayer(1051094, 174, 214, "", 0, 0)
npc_8:SetDir(4)
local npc_9 = CppScriptMgr:AddSimplePlayer(1051094, 176, 214, "", 0, 0)
npc_9:SetDir(4)
local npc_10 = CppScriptMgr:AddSimplePlayer(1051094, 178, 214, "", 0, 0)
npc_10:SetDir(4)
local npc_11 = CppScriptMgr:AddSimplePlayer(1051094, 180, 214, "", 0, 0)
npc_11:SetDir(4)
local npc_12 = CppScriptMgr:AddSimplePlayer(1060420, 170, 217, "", 0, 0)
npc_12:SetDir(4)
local npc_13 = CppScriptMgr:AddSimplePlayer(1060420, 172, 217, "", 0, 0)
npc_13:SetDir(4)
local npc_14 = CppScriptMgr:AddSimplePlayer(1060420, 174, 217, "", 0, 0)
npc_14:SetDir(4)
local npc_15 = CppScriptMgr:AddSimplePlayer(1060420, 176, 217, "", 0, 0)
npc_15:SetDir(4)
local npc_16 = CppScriptMgr:AddSimplePlayer(1060420, 178, 217, "", 0, 0)
npc_16:SetDir(4)
local npc_17 = CppScriptMgr:AddSimplePlayer(1060420, 180, 217, "", 0, 0)
npc_17:SetDir(4)
local effect_2 = CppScriptMgr:AddEffect("QiFuLev3", 175, 210, 33, 1, 1, 1)
effect_2:Scale(1.5, 1.5, 1.5)
local effect_3 = CppScriptMgr:AddEffect("2017Spring", 175, 210, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("Fruits_bossjs", 175, 210, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Welcome to the Summer Sports Venue!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("The exciting sports games are about to begin. Let`s see what events there are!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("First, Precision Shooting! Each trigger pull is a challenge to your limits and a pursuit of victory!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
Player_4:SetAction(1111)
Player_5:SetAction(1111)
Player_6:SetAction(1111)
Player_7:SetAction(1111)
Player_8:SetAction(1111)
Player_9:SetAction(1111)
CppScriptMgr:WaitMilSec(2500)
Player_4:Say("Glory follows the sound of shooting!", 1500)
Player_5:Say("Glory follows the sound of shooting!", 1500)
Player_6:Say("Glory follows the sound of shooting!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_7:Say("Precise and spot-on!", 1500)
Player_8:Say("Precise and spot-on!", 1500)
Player_9:Say("Precise and spot-on!", 1500)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Synchronized swimming is the art in water, the perfect combination of strength and beauty.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
local effect_5 = CppScriptMgr:AddEffect("Fruits_bossjs", 175, 210, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(170)
npc_0:SetAction(1111)
npc_1:SetAction(1111)
npc_2:SetAction(1111)
npc_3:SetAction(1111)
npc_4:SetAction(1111)
npc_5:SetAction(1111)
CppScriptMgr:WaitMilSec(1820)
npc_0:Say("Dance gracefully, water spirits!", 1500)
npc_1:Say("Dance gracefully, water spirits!", 1500)
npc_2:Say("Dance gracefully, water spirits!", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_3:Say("Unlease your passion in water!", 1500)
npc_4:Say("Unlease your passion in water!", 1500)
npc_5:Say("Unlease your passion in water!", 1500)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Every rider on the racecourse will show fearless courage and excellent skills.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
CppScriptMgr:WaitMilSec(320)
npc_6:SetAction(1112)
npc_7:SetAction(1112)
npc_8:SetAction(1112)
npc_9:SetAction(1112)
npc_10:SetAction(1112)
npc_11:SetAction(1112)
CppScriptMgr:WaitMilSec(1980)
npc_6:Say("Race like the wind!", 1500)
npc_7:Say("Race like the wind!", 1500)
npc_8:Say("Race like the wind!", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_9:Say("Gallop on the field to chase dreams!", 1500)
npc_10:Say("Gallop on the field to chase dreams!", 1500)
npc_11:Say("Gallop on the field to chase dreams!", 1500)
CppScriptMgr:WaitMilSec(1200)
CppScriptMgr:NpcCallOut("Every climber is a brave explorer who keeps surpassing themselves.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
local effect_6 = CppScriptMgr:AddEffect("Fruits_bossjs", 175, 210, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(80)
npc_12:SetAction(1112)
npc_13:SetAction(1112)
npc_14:SetAction(1112)
npc_15:SetAction(1112)
npc_16:SetAction(1112)
npc_17:SetAction(1112)
CppScriptMgr:WaitMilSec(2280)
npc_12:Say("Courage blooms on the rock!", 2000)
npc_13:Say("Courage blooms on the rock!", 2000)
npc_14:Say("Courage blooms on the rock!", 2000)
CppScriptMgr:WaitMilSec(2000)
npc_15:Say("Fearless and forward!", 2000)
npc_16:Say("Fearless and forward!", 2000)
npc_17:Say("Fearless and forward!", 2000)
CppScriptMgr:WaitMilSec(1620)
CppScriptMgr:NpcCallOut("Of course, there are rewards for competitions! All participants will have the chance to win exclusive garments and weapons!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
CppScriptMgr:WaitMilSec(1410)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 170, 202, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 177, 202, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1270)
Player_2:SetRWeapon(350216, 0, 1)
Player_3:SetRWeapon(360449, 0, 1)
Player_3:SetArmor(198185, 0, 1)
Player_3:SetLWeapon(360449, 0, 1)
Player_2:SetArmor(198175, 0, 1)
Player_2:SetHair(263, 1)
Player_3:SetHair(263, 1)
CppScriptMgr:WaitMilSec(270)
Player_2:SetAction(101)
Player_2:Say("This is Victor Power (2-handed) and 3-star garment Cool Dude!", 2000)
CppScriptMgr:WaitMilSec(170)
local effect_7 = CppScriptMgr:AddEffect("Fruits_bossjs", 175, 210, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1830)
Player_3:Say("This is Victor Power (1-handed) and 5-star garment Genesis Wyrm (Shadow)!", 2000)
CppScriptMgr:WaitMilSec(70)
Player_3:SetAction(101)
CppScriptMgr:WaitMilSec(1930)
CppScriptMgr:NpcCallOut("May you achieve great results!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Jack", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)